Download it now!
Bug 135014 - FILESAVE DOCX: Crash after opening and making and edit and save ( steps en comment 18 )
Summary: FILESAVE DOCX: Crash after opening and making and edit and save ( steps en co...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: high major
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.2.0 target:7.1.1 target:7.0.5
Keywords: bibisected, bisected, haveBacktrace, needUITest, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-07-21 11:56 UTC by Telesto
Modified: 2021-01-20 16:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwNumRule::Get(unsigned%20short)"]


Attachments
Example file (9.54 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-21 11:57 UTC, Telesto
Details
Screencast (2.28 MB, video/mp4)
2020-07-21 12:08 UTC, Telesto
Details
minimized document (84.72 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-11-27 15:27 UTC, Xisco Faulí
Details
Backtrace (32.22 KB, text/plain)
2020-12-26 00:23 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-21 11:56:54 UTC
Description:
FILESAVE DOCX: Crash after opening and making and edit and save

Steps to Reproduce:
1. Open the attached file 
2. Select page 2 to say 22 and press backspace
3. Press Save -> Crash

Actual Results:
Crash on save

Expected Results:
Probably not


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-07-21 11:57:41 UTC
Created attachment 163360 [details]
Example file
Comment 2 Telesto 2020-07-21 12:08:58 UTC
Created attachment 163361 [details]
Screencast
Comment 3 Telesto 2020-07-21 12:12:39 UTC
Not in
Version: 6.2.4.0.0+
Build ID: 915ec0b5f5ce9a2da6a51f5278ea4faaffa19839
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

Likely related to tracking changes
Comment 4 Andrew Watson 2020-07-23 10:45:58 UTC
Bug confirmed in:

Version: 7.0.0.2
Build ID: c01aa64b6c3d89ebe5fe69c28c7adb24eb85249c
CPU threads: 4; OS: Mac OS X 10.11.6; UI render: default; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-GB
Calc: threaded

Bug also confirmed in:

Version: 6.4.4.2
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 4; OS: Mac OS X 10.11.6; UI render: default; VCL: osx; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Bug NOT present in:

Version: 6.3.4.2
Build ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU threads: 4; OS: Mac OS X 10.11.6; UI render: default; VCL: osx; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Note also that in all three versions (LO 7.0.0.2, 6.4.4.2 and 6.3.4.2) the file loads with the "Document Modified" flag set, which is surely wrong? Not sure if this is a separate bug or not.

Set Status to "NEW", Earliest affected version to 6.4.4.2.
Comment 5 Andrew Watson 2020-11-25 08:34:00 UTC
Bug still present in:

Version: 7.1.0.0.beta1
Build ID: 828a45a14a0b954e0e539f5a9a10ca31c81d8f53
CPU threads: 4; OS: Mac OS X 10.11.6; UI render: default; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-GB
Calc: threaded
Comment 6 Xisco Faulí 2020-11-27 15:27:14 UTC
Created attachment 167619 [details]
minimized document

a bit more minimized document that crashes with the following steps:
1. Open it
2. Select from top to end of page 2
3. Save

-> Crash
Comment 7 Xisco Faulí 2020-11-27 15:36:26 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=632ee9aae6d5f3cf08b6d6b2789310c20db713b7

author	Michael Stahl <Michael.Stahl@cib.de>	2019-09-04 16:03:35 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2019-09-05 12:46:19 +0200
commit	632ee9aae6d5f3cf08b6d6b2789310c20db713b7 (patch)
tree	3e4bd0b4a3e72c8995042c01b61b1082cc4c4ebd
parent	aae9f2765036569901ec0924ac16ac1f6d91ef48 (diff)
tdf#95848 sw: DOCX export: export w:lvlOverride elements

Bisected with: bibisect-linux64-6.4

Adding Cc: to Michael Stahl
Comment 8 Aron Budea 2020-12-26 00:23:42 UTC
Created attachment 168494 [details]
Backtrace

(In reply to Xisco Faulí from comment #6)
> a bit more minimized document that crashes with the following steps:
> 1. Open it
> 2. Select from top to end of page 2    <= and press backspace
> 3. Save
Backtrace created with these steps.
Comment 9 Commit Notification 2021-01-15 10:12:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd1c9f5167e797807d6726219f06190657f58372

tdf#135014 sw: fix crash exporting numbering to DOCX

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-01-15 12:36:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0771b84e4c5002338275da0d061f966e2fc47505

tdf#135014 sw_fieldmarkhide: fix bogus assert on loading the bugdoc

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-01-15 12:37:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/359deaee45fd4a2bfe7aae255e6da38a9e1931ff

tdf#135014 sw_fieldmarkhide: allow section overlap with fieldmark

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-01-15 12:38:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eef10be20a4c5108c68b19ccdda263c5ca852386

tdf#135014 sw_fieldmarkhide: fix crash deleting field in fly

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2021-01-15 12:38:47 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32e104c1d6be0ffe6ed6c4e08af868c87b3c258c

tdf#135014 sw_redlinehide: fix missing frames when removing fieldmark

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Michael Stahl (allotropia) 2021-01-15 12:52:52 UTC
first commit fixes the problem with the minimized document, the other ones fix additional problems when reproducing with the full bugdoc
Comment 15 Commit Notification 2021-01-15 16:52:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d7c77b1b718ba0ca61e153bcf91237c9cf6d9b60

tdf#135014 sw: fix crash exporting numbering to DOCX

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2021-01-15 20:46:56 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e0be320cc790856df4d9a102d15de08aa16217fa

tdf#135014 sw: fix crash exporting numbering to DOCX

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2021-01-16 17:00:24 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/092f1a810d5b10aa8d6d8455491f7ae42caf3a08

tdf#135014 sw_redlinehide: fix missing frames when removing fieldmark

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Xisco Faulí 2021-01-18 15:26:04 UTC
How to reproduce this from scratch:
1. Open writer
2. Toggle Bulleted list
3. Sidebar - List Styles - New Style from selection
4. Save as DOCX

-> Crash
Comment 19 Xisco Faulí 2021-01-18 15:27:39 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 6ce66560c59470a9eb76fbf80f439b452166d3e4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 20 Commit Notification 2021-01-20 16:25:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/00d5eb31363cc4abd5b3d0f828256ff4e2f48303

tdf#135014 sw_fieldmarkhide: fix bogus assert on loading the bugdoc

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-01-20 16:25:39 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8ba16d77881fe199a3c2ea40fb9c18741e17af5f

tdf#135014 sw_fieldmarkhide: allow section overlap with fieldmark

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2021-01-20 16:25:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/60eb993b5558c7999a23b4e3c241b2a60419a3d4

tdf#135014 sw_fieldmarkhide: fix crash deleting field in fly

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2021-01-20 16:26:00 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/2ec6b5055dc09ab3884dc2542dd93e75fe2c50d4

tdf#135014 sw_redlinehide: fix missing frames when removing fieldmark

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.